# Class RemoteA2AAgent.Builder

java.lang.Object
com.google.adk.a2a.agent.RemoteA2AAgent.Builder

Enclosing class:
  `RemoteA2AAgent`

public static class RemoteA2AAgent.Builder extends Object
Builder for `RemoteA2AAgent`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RemoteA2AAgent.Builder`
  `a2aClient(io.a2a.client.Client a2aClient)`
  `RemoteA2AAgent.Builder`
  `afterAgentCallback(List<Callbacks.AfterAgentCallback> afterAgentCallback)`
  `RemoteA2AAgent.Builder`
  `agentCard(io.a2a.spec.AgentCard agentCard)`
  `RemoteA2AAgent.Builder`
  `beforeAgentCallback(List<Callbacks.BeforeAgentCallback> beforeAgentCallback)`
  `RemoteA2AAgent`
  `build()`
  `RemoteA2AAgent.Builder`
  `description(String description)`
  `RemoteA2AAgent.Builder`
  `name(String name)`
  `RemoteA2AAgent.Builder`
  `streaming(boolean streaming)`
  `RemoteA2AAgent.Builder`
  `subAgents(List<? extends BaseAgent> subAgents)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder()

- ## Method Details

  - ### streaming

    @CanIgnoreReturnValue public RemoteA2AAgent.Builder streaming(boolean streaming)

  - ### name

    @CanIgnoreReturnValue public RemoteA2AAgent.Builder name(String name)

  - ### agentCard

    @CanIgnoreReturnValue public RemoteA2AAgent.Builder agentCard(io.a2a.spec.AgentCard agentCard)

  - ### description

    @CanIgnoreReturnValue public RemoteA2AAgent.Builder description(String description)

  - ### subAgents

    @CanIgnoreReturnValue public RemoteA2AAgent.Builder subAgents(List<? extends BaseAgent> subAgents)

  - ### beforeAgentCallback

    @CanIgnoreReturnValue public RemoteA2AAgent.Builder beforeAgentCallback(List<Callbacks.BeforeAgentCallback> beforeAgentCallback)

  - ### afterAgentCallback

    @CanIgnoreReturnValue public RemoteA2AAgent.Builder afterAgentCallback(List<Callbacks.AfterAgentCallback> afterAgentCallback)

  - ### a2aClient

    @CanIgnoreReturnValue public RemoteA2AAgent.Builder a2aClient(io.a2a.client.Client a2aClient)

  - ### build

    public RemoteA2AAgent build()